{%extends "article_feeds/base.html"%}
{%block content%}
{% load bootstrap_pagination %}
&nbsp;&nbsp;
<h2 class="d-flex justify-content-center">|Created By You|</h2>
&nbsp;&nbsp;
{% for article in page_obj %}
  <div class="card">
    <div class="card-header">
      <span class="font-weight-bold">{{ article.title }}</span> &middot;
      <span class="text-muted">by {{ article.author }} |
        {{ article.date_created }}
      </span>
    </div>
  <div class="card-body">
    {{ article.body|truncatechars:500 }}
  </div>
  <div class="card-footer text-center text-muted">
    <a href="/{{article.id}}/edit">Edit</a> |
    <a href="/{{article.id}}/detail">Detail</a> |
    {% if article.author == request.user %}
      <a href="/{{article.id}}/delete">Delete</a> |
    {% endif %}
    <a href="/{{article.id}}/like_dislike/">likes & Dislikes</a>
  </div>
</div>
<br />
{% endfor %}
<div class="pagination justify-content-center">
  {% bootstrap_paginate page_obj %}
</div>
<a href="/">Go to dashboard</a>
{% endblock content %}
